Timekit developers

GET Retrieve a group booking

Get a specific group booking

When you want to get information about a group booking, you should use this endpoint. It only includes information about the owner event itself, and doesn't include sensitive information about customers etc.

Endpoint

GET https://api.timekit.io/v2/bookings/groups/{:id}

Parameters

Name In Type Required Default Description
:id path string ID of the booking

Request examples

curl
curl --request GET
  --url https://api.timekit.io/v2/bookings/groups/0dad9c8f-2801-4b6f-b898-7c69063bed0d \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7     

Response examples

200

json
{
  "data": {
    "id": "0dad9c8f-2801-4b6f-b898-7c69063bed0d",
    "state": "tentative",
    "graph": "group_owner",
    "completed": false,
    "created_at": "2016-02-11T12:39:45+0100",
    "updated_at": "2016-02-11T13:12:01+0100",
    "attributes": {
        "group_booking": {
          "max_seats": 20,
          "current_seats": 0
        },
        "event_info": {
          "start": "2016-09-30T08:00:00+00:00",
          "end": "2016-09-30T09:00:00+00:00",
          "what": "Doc Brown's 1st lecture on flux capacitance",
          "where": "Hill Valley High School, CA 95420, USA",
          "calendar_id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
          "description": "Please arrive 10 minutes before the lecture begins"
        }
      }
  }
}
Last edited 15 November 2017.